Bug 893165 - Review Request: mod_qos - Quality of service module for Apache
Summary: Review Request: mod_qos - Quality of service module for Apache
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Miller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-08 18:49 UTC by Christof Damian
Modified: 2014-10-13 23:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-05 23:25:49 UTC
nb: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Christof Damian 2013-01-08 18:49:47 UTC
Spec URL: http://rpms.damian.net/SPECS/mod_qos.spec
SRPM URL: http://rpms.damian.net/SRPMS/mod_qos-10.13-3.fc17.src.rpm
Description: 

The mod_qos module may be used to determine which requests should be served and 
which shouldn't in order to avoid resource over-subscription. The module 
collects different attributes such as the request URL, HTTP request and response
headers, the IP source address, the HTTP response code, history data (based on 
user session and source IP address), the number of concurrent requests to the 
server (total or requests having similar attributes), the number of concurrent 
TCP connections (total or from a single source IP), and so forth.

Counteractive measures to enforce the defined rules are: request blocking, 
dynamic timeout adjustment, request delay, response throttling, and dropping of 
TCP connections. 

Fedora Account System Username: cdamian

Comment 1 Adam Miller 2013-02-11 15:26:43 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[ ]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[ ]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
[ ]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[ ]: Macros in Summary, %description expandable at SRPM build time.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[ ]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)". 1 files have unknown license. Detailed output of
     licensecheck in /home/admiller/893165-mod_qos/licensecheck.txt
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[ ]: Package is named according to the Package Naming Guidelines.
[x]: No %config files under /usr.
[ ]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[ ]: Package is not relocatable.
[ ]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[ ]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 389120 bytes in 20 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[ ]: Buildroot is not present
     Note: Buildroot: present but not needed
[ ]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: mod_qos-10.13-3.fc18.src.rpm
          mod_qos-debuginfo-10.13-3.fc18.x86_64.rpm
          mod_qos-10.13-3.fc18.x86_64.rpm
mod_qos.src: W: spelling-error %description -l en_US qos -> nos, cos, dos
mod_qos.src:17: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 17)
mod_qos-debuginfo.x86_64: W: spelling-error Summary(en_US) qos -> nos, cos, dos
mod_qos-debuginfo.x86_64: W: spelling-error %description -l en_US qos -> nos, cos, dos
mod_qos.x86_64: W: spelling-error %description -l en_US qos -> nos, cos, dos
3 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mod_qos mod_qos-debuginfo
mod_qos.x86_64: W: spelling-error %description -l en_US qos -> nos, cos, dos
mod_qos-debuginfo.x86_64: W: spelling-error Summary(en_US) qos -> nos, cos, dos
mod_qos-debuginfo.x86_64: W: spelling-error %description -l en_US qos -> nos, cos, dos
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
mod_qos-debuginfo-10.13-3.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    

mod_qos-10.13-3.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    config(mod_qos) = 10.13-3.fc18
    httpd-mmn = 20120211-x86-64
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
mod_qos-debuginfo-10.13-3.fc18.x86_64.rpm:
    
    mod_qos-debuginfo = 10.13-3.fc18
    mod_qos-debuginfo(x86-64) = 10.13-3.fc18

mod_qos-10.13-3.fc18.x86_64.rpm:
    
    config(mod_qos) = 10.13-3.fc18
    mod_qos = 10.13-3.fc18
    mod_qos(x86-64) = 10.13-3.fc18
    mod_qos.so()(64bit)



Unversioned so-files
--------------------
mod_qos-10.13-3.fc18.x86_64.rpm: /usr/lib64/httpd/modules/mod_qos.so

MD5-sum check
-------------
http://downloads.sourceforge.net/project/mod-qos/mod_qos-10.13.tar.gz :
  CHECKSUM(SHA256) this package     : 507d4bf7db8dc03527dc156c3186081d245056aa839f86f744b7b21d2aa5a33c
  CHECKSUM(SHA256) upstream package : 507d4bf7db8dc03527dc156c3186081d245056aa839f86f744b7b21d2aa5a33c


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 893165


NOTES:
1) GPLv2 should be GPLv2+
2) This message always appears when run on machines not containing httpd-devel: "cat: /usr/include/httpd/.mmn: No such file or directory" which is only a minor issue but I assume that's not desired and instead the echo message should be present.
3) rm -rf $RPM_BUILD_ROOT present but not required

Over all, this looks good. It's nice and clean, just need those couple fixes.

Comment 2 Christof Damian 2013-02-11 23:34:51 UTC
(In reply to comment #1)
> NOTES:
> 1) GPLv2 should be GPLv2+
> 2) This message always appears when run on machines not containing
> httpd-devel: "cat: /usr/include/httpd/.mmn: No such file or directory" which
> is only a minor issue but I assume that's not desired and instead the echo
> message should be present.
> 3) rm -rf $RPM_BUILD_ROOT present but not required
> 
> Over all, this looks good. It's nice and clean, just need those couple fixes.

I uploaded a new version fixing these issues.

I usually keep 3) in, because it doesn't hurt and makes it compatible with EPEL-5, but I am not sure I will build this for that release anyway. 

Spec URL: http://rpms.damian.net/SPECS/mod_qos.spec
SRPM URL: http://rpms.damian.net/SRPMS/mod_qos-10.13-4.fc18.src.rpm

Comment 3 Adam Miller 2013-02-19 16:30:23 UTC
Looks good, rpmlint throws this but I don't consider it a blocker.

$ rpmlint srpm/mod_qos.spec 
srpm/mod_qos.spec:17: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 17)
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

PASSED

Comment 4 Christof Damian 2013-02-20 08:04:41 UTC
(In reply to comment #3)
> Looks good, rpmlint throws this but I don't consider it a blocker.
> 
> $ rpmlint srpm/mod_qos.spec 
> srpm/mod_qos.spec:17: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab:
> line 17)
> 0 packages and 1 specfiles checked; 0 errors, 1 warnings.
> 
> PASSED

Cheers

I am going to fix the above on import. 

New Package SCM Request
=======================
Package Name: mod_qos
Short Description: Quality of service module for Apache
Owners: cdamian
Branches: f18 el6
InitialCC:

Comment 5 Dennis Gilmore 2013-02-20 12:24:30 UTC
the bug does not have the review state set to +

Comment 6 Adam Miller 2013-02-20 14:17:19 UTC
Apologies for not setting to +, I realized that I've changed my BZ email and it no longer matches my FAS email which means I don't have permissions to set to +. I have a request into the Fedora Infrastructure team to fix this.

Comment 7 Nick Bebout 2013-02-21 03:47:38 UTC
In the meantime, I have set the fedora-review to + for you

Comment 8 Gwyn Ciesla 2013-02-21 03:59:25 UTC
Git done (by process-git-requests).

Comment 9 Adam Miller 2013-02-21 14:16:28 UTC
Awesome, greatly appreciated!

Comment 10 Adam Miller 2013-02-21 21:44:12 UTC
The machine I tested on already had mod_ssl enabled so this wasn't caught but a colleague of mine noticed that the rpm auto-fu doesn't pull in mod_ssl as a requires.

This should have been fixed before I passed the review, was my oversight. However, everything else looks good.
 Apologies:

 %prep
 %setup -q -n %{name}-%{version}
 
 %build
-%{_httpd_apxs} -Wc,"%{optflags}" -c apache2/mod_qos.c
+%{_httpd_apxs} -Wc,"%{optflags}" -c apache2/mod_qos.c -lcrypto -lpcre

Comment 11 Christof Damian 2013-02-22 08:13:15 UTC
(In reply to comment #10)
> The machine I tested on already had mod_ssl enabled so this wasn't caught
> but a colleague of mine noticed that the rpm auto-fu doesn't pull in mod_ssl
> as a requires.
> 
> This should have been fixed before I passed the review, was my oversight.
> However, everything else looks good.

Thanks, this will also go into the first release I push.

Comment 12 Fedora Update System 2013-02-23 23:43:54 UTC
mod_qos-10.13-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mod_qos-10.13-4.fc18

Comment 13 Fedora Update System 2013-02-23 23:54:15 UTC
mod_qos-10.13-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mod_qos-10.13-4.el6

Comment 14 Fedora Update System 2013-02-25 18:33:27 UTC
mod_qos-10.13-4.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 15 Fedora Update System 2013-03-05 23:25:51 UTC
mod_qos-10.13-4.fc18 has been pushed to the Fedora 18 stable repository.

Comment 16 Fedora Update System 2013-03-12 17:43:56 UTC
mod_qos-10.13-4.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 17 Othman Madjoudj 2014-10-10 14:55:49 UTC
Package Change Request
======================
Package Name: mod_qos
New Branches: el5 epel7
Owners: athmane

Comment 18 Kevin Fenzi 2014-10-13 23:07:36 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.